# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDebugDCOPIface Class Reference

DCOP interface to KDebug. More...

`#include <kdebugdcopiface.h>`

Inheritance diagram for KDebugDCOPIface:

[legend]
Collaboration diagram for KDebugDCOPIface:

[legend]
List of all members.

## DCOP Member Functions

void | notifyKDebugConfigChanged ()
void | printBacktrace ()

## Detailed Description

DCOP interface to KDebug.

Definition at line 30 of file kdebugdcopiface.h.

## Member Function Documentation

void KDebugDCOPIface::notifyKDebugConfigChanged | ( |  | ) |

| The kdebugrc has been changed and should be reparsed now. This will simply call kdClearDebugConfig Definition at line 31 of file kdebugdcopiface.cpp.

void KDebugDCOPIface::printBacktrace | ( |  | ) |

| Print out a kdBacktrace. Useful when trying to understand why a dialog is popping up, without having to launch gdb Definition at line 36 of file kdebugdcopiface.cpp.

The documentation for this class was generated from the following files:

- kdebugdcopiface.h
- kdebugdcopiface.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:35 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003